#!/bin/sh

# runner.cgi v1.00 (10th february 2011) by Andy Davison
#  birdslikewires.co.uk

#  Example 'direct run' application, where output is sent straight to the browser.

echo Content-type: text/html
echo ""

# Stuff

[ -d /media/logs ] || mkdir /media/logs

DAY=`date '+%A, %B %d'`
TIME=`date '+%H:%M'`

# Output

echo '<!DOCTYPE html>'
echo '<html lang="en-GB">'
echo '	<head>'
echo "		<title>Joggler</title>"
echo '		<link rel="stylesheet" href="/layout.css" type="text/css" media="screen" />'
echo '		<link rel="stylesheet" href="app.css" type="text/css" media="screen" />'
echo '		<meta http-equiv="refresh" content="4;/" />'
echo '	</head>'
echo '	<body>'

echo '	<div id="interface">'
echo "		<div id=\"datetime\"><h2><span class=\"date_day\">$DAY | </span><span class=\"date_time\">$TIME</span></h2></div>"

echo '	<div id="interactive">'

echo '	<p class="demo">'`uptime`'</p>'
echo "	<p class=\"demo\">Just a quick demo to show a 'direct run' application.</p>"

echo '	</div>'

echo '	</div>'

echo '	</body>'
echo '</html>'
