#!/bin/sh

# launcher.cgi v1.07 (28th february 2011) by Andy Davison
#  birdslikewires.co.uk

#  Launcher page for the little app launcher.

QUERY_STRING=`echo $QUERY_STRING | sed 's/%20/ /'`

echo Content-type: text/html
echo ""

# Stuff

[ -d /media/logs ] || mkdir /media/logs

DAY=`date '+%A, %B %d'`
TIME=`date '+%H:%M'`
QUERY_STRING=`echo $QUERY_STRING | sed 's/ /\\ /'`
RUNTYPE=`ls -1 ./apps/"$QUERY_STRING" | egrep 'trigger.cgi'`

apptidy=`echo $QUERY_STRING | sed 's/_/ /'`

# Output

echo '<!DOCTYPE html>'
echo '<html lang="en-GB">'
echo '	<head>'
echo "		<title>$apptidy - Joggler</title>"
echo '		<link rel="stylesheet" href="layout.css" type="text/css" media="screen" />'
echo '		<meta http-equiv="refresh" content="1;/" />'
echo '	</head>'
echo '	<body>'

echo '	<div id="interface">'
echo "		<div id=\"datetime\"><h2><span class=\"date_day\">$DAY | </span><span class=\"date_time\">$TIME</span></h2></div>"

echo '		<div id="interactive">'

echo "		<div class=\"launchicon\"><embed src=\"apps/$QUERY_STRING/icon.swf\"></embed></div>"

if [ "$RUNTYPE" == "trigger.cgi" ]; then
	./apps/"$QUERY_STRING"/trigger.cgi 2>&1 1>/dev/null &
	echo "		<h3 class=\"launchtext\">$apptidy...</h3>"
else
	echo "		<h3 class=\"unable\">Unable to launch. No trigger file found.</h3>"
fi

echo '		</div>'

echo '	</div>'

echo '	</body>'
echo '</html>'
